#connect -url tcp:127.0.0.1:3121
connect
puts "Download FPGA bitstream"
fpga -file ./boards/$board/system_top.bit
exec sleep 1
#source ps7_init.tcl
puts "Download first stage boot loader ... "
targets -set -nocase -filter {name =~"APU*"} -index 0
stop
#ps7_init
#ps7_post_config
targets -set -nocase -filter {name =~ "ARM*#0"} -index 0
rst -processor
targets -set -nocase -filter {name =~ "ARM*#0"} -index 0
dow ./boards/$board/fsbl.elf
#configparams force-mem-access 0
targets -set -nocase -filter {name =~ "ARM*#0"} -index 0
con
exec sleep 3
stop
puts "Download device tree at 0x2a00000 "
dow -data ./boards/$board/devicetree.dtb 0x2a00000
exec sleep 1
#puts "Download ramdisk at 0x2000000"
#dow -data uramdisk.image.gz 0x2000000
exec sleep 1
puts "Download uImage at 0x3000000 "
dow -data ./zynq_common/uImage 0x3000000
exec sleep 1
puts "Download uboot " 
dow ./boards/$board/u-boot.elf
exec sleep 1
puts "Get ready to interrupt uboot autoboot in the SERIAL CONSOLE by hitting any key!"
puts "Then in the xsdb console, execute command: con"
puts "In the serial console, hit any key to stop u-boot auto boot"
puts "In the xsdb console, execute command: disconnect"
puts "In the serial console, execute command: bootm 0x3000000 - 0x2a00000 "
