# add board argument:
#if {$argc > 0} {puts "The other arguments are: $argv" }
#connect -url tcp:127.0.0.1:3121
connect
puts "Download FPGA bitstream"
fpga -file ./boards/$board/system_top.bit
exec sleep 1
#source ./boards/$board/ps7_init.tcl
puts "Download first stage boot loader ... "
#targets -set -nocase -filter {name =~"APU*" && jtag_cable_name =~ "Digilent JTAG-SMT2 210251A0147D"} -index 0
#loadhw -hw system_top.hdf -mem-ranges [list {0x40000000 0xbfffffff}]
#configparams force-mem-access 1
targets -set -nocase -filter {name =~"APU*"} -index 0
stop
#ps7_init
#ps7_post_config
targets -set -nocase -filter {name =~ "ARM*#0"} -index 0
rst -processor
targets -set -nocase -filter {name =~ "ARM*#0"} -index 0
dow ./boards/$board/fsbl.elf
#configparams force-mem-access 0
targets -set -nocase -filter {name =~ "ARM*#0"} -index 0
con
exec sleep 3
stop
puts "Download device tree at 0x2a00000 "
dow -data ./boards/$board/devicetree.dtb 0x2a00000
 # 0x2000000
exec sleep 1
puts "Download ramdisk at 0x2000000"
dow -data uramdisk.image.gz 0x2000000
 #0x2a00000
exec sleep 1
puts "Download uImage at 0x3000000 "
dow -data zynq_common/uImage 0x3000000
 #0x5000000 
exec sleep 1
puts "Download uboot " 
dow ./boards/$board/u-boot.elf
exec sleep 1
puts "Get ready to interrupt uboot autoboot in the SERIAL CONSOLE!"
puts "Then execute the command in xsdb: con"
puts "In the serial console, hit any key, and then execute: bootm 0x3000000 0x2000000 0x2a00000 "
